Package org.springframework.security.config.ldap

# Class ContextSourceSettingPostProcessor

java.lang.Object
org.springframework.security.config.ldap.ContextSourceSettingPostProcessor

All Implemented Interfaces:
  `org.springframework.beans.factory.config.BeanFactoryPostProcessor`, `org.springframework.core.Ordered`

public class ContextSourceSettingPostProcessor extends Object implements org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.core.Ordered
Checks for the presence of a ContextSource instance. Also supplies the standard reference to any unconfigured <ldap-authentication-provider> or <ldap-user-service> beans. This is necessary in cases where the user has given the server a specific Id, but hasn't used the server-ref attribute to link this to the other ldap definitions. See SEC-799.

Since:
  3.0

## Field Summary

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

## Method Summary

Modifier and Type
Method
Description
`int`
`getOrder()`
`void`
`postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory bf)`
`void`
`setDefaultNameRequired(boolean defaultNameRequired)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### postProcessBeanFactory

public void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory bf) throws org.springframework.beans.BeansException

Specified by:
  `postProcessBeanFactory` in interface `org.springframework.beans.factory.config.BeanFactoryPostProcessor`
Throws:
  `org.springframework.beans.BeansException`

### setDefaultNameRequired

public void setDefaultNameRequired(boolean defaultNameRequired)

### getOrder

public int getOrder()

Specified by:
  `getOrder` in interface `org.springframework.core.Ordered`